dnsjit.core.loader(3)

NAME
dnsjit.core.loader - Dynamic library loader

SYNOPSIS
  local loader = require("dnsjit.core.loader")
  loader.load("example-input-zero/zero")

DESCRIPTION
Module for loading dynamic libraries (.so) in more ways then LuaJIT can. This is mainly used in external modules.

  Functions

Loader.load(name, global)
    Search package.cpath for the given name and load the first found. If global is true (default true if not given) then the loaded symbols will also be available globally. Returns the loaded C library as per ffi.load().
    The ? in each path of package.cpath will be replace by the given name, so usually the ".so" part of the library does not need to be given. See package.cpath and package.loaders in Lua 5.1 for more information.

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net